package com.prolog.eis.service.logic;

import com.prolog.eis.dto.strategy.OrderDto;

import java.util.List;

/**
 * @author yxw
 * @title: TimeTaskService
 * @projectName eis_sywj_java
 * @description: TODO
 * @date 2022/4/812:26
 */
public interface LogicService {


    boolean bindGirl() throws Exception;

    void doGridSplit(OrderDto orderDto);

    List<OrderDto> getOutboundTask(String billType, String warehouseArea) throws Exception;

    List<OrderDto> getOutboundTaskByBillType(String billType, String warehouseArea,int isBindGrid) throws Exception;


    void updateContainerType(Integer containerType,String containerNo);

    Long additionalTaskLogic(String containerNo);
}
